[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / ResolveByUuidResultFactory

# Function: ResolveByUuidResultFactory()

> **ResolveByUuidResultFactory**\<`Entity`\>(`transformer`): (`entity`) => `ControlOption`\<`any`, `string`\>

Defined in: [packages/angular/form-system/src/lib/mixins/adapters.ts:11](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/adapters.ts#L11)

## Type Parameters

• **Entity**

## Parameters

### transformer

(`entity`) => `ControlOption`

## Returns

`Function`

### Parameters

#### entity

`Entity`

### Returns

`ControlOption`\<`any`, `string`\>
